function [ys,check] = jinnaiJMCB_two_sector_steadystate(ys,exe)
global M_


beta = M_.params(1);
b = M_.params(2);
eta = M_.params(3);
delK = M_.params(4);
alpha = M_.params(5);
delN = M_.params(6);
theta = M_.params(7);
sigma = M_.params(8);
nu = M_.params(9);



check = 0;

nESS = delN;
nISS = (1-sigma)*delN/(1-(1-sigma)*(1-delN));
dY = nISS/theta/(nISS + (1-nISS)*(theta/(theta-1))^(theta-1));
kY = beta/(1-beta*(1-delK))*(alpha*(1-0.2)*(1-dY));
vY = beta/(1-beta*(1-sigma)*(1-delN))*(1-0.2)*dY;
xD = (1-(1-beta)/(1-beta*(1-nu*(1-(1-sigma)*(1-delN)))))*(1-0.2);
xY = xD*dY;
vhatY = (beta/(1-beta*(1-sigma)*(1-delN)))*((1-nu)/nu)*xY;
cY = 1 - 0.2 - delK*kY - xY;
LSS = ((1 - beta*b)*(1-0.2)*(1-alpha)*(1-dY)/((1-b)*cY))^(1/(1+1/eta));
ySS = (xY^(1/(theta-1))*(kY)^alpha*LSS^(1-alpha)*(nISS + (1-nISS)*(theta/(theta-1))^(theta-1))^(theta/(theta-1))/(nISS+(1-nISS)*(theta/(theta-1))^theta))^(1/(1-1/(theta-1)-alpha));
ntSS = xY*ySS;
Sss = ((1-sigma)*delN/(1-(1-sigma)*(1-delN)))^(nu-1)*delN/(1-delN);

c = log(cY*ySS);
labor = log(LSS);
y = log(ySS);
k = log(kY*ySS);
tfp = log(ySS^(1-alpha)/(kY^alpha*LSS^(1-alpha)));
ivst = log(delK*kY*ySS);
lamda = (1 - beta*b)/((1-b)*cY*ySS);
nI = log(nISS);
nE = log(nESS);
nt = log(ntSS);
d = log(dY*ySS);
v = log(vY*ySS);
vhat = log(vhatY*ySS);
x = log(xY*ySS);
A = 0;
S = log(Sss);
ti = log((1-0.2)*ySS - cY*ySS);
tv = log((kY + vY + vhatY)*ySS);
gv = log(0.2);
psi = 0;


ys =[
    c
    labor
    y
    k
    tfp
    ivst
    A
    S
    lamda
    nI
    nE
    nt
    d
    v
    vhat
    x
    ti
    tv
    gv
    psi
    ];